ObjectFactory
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

## Class ObjectFactory

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02.ObjectFactory

-     public class ObjectFactory
      extends java.lang.Object

  This object contains factory methods for each Java content interface and Java element interface generated in the de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static javax.xml.namespace.QName` | `_Document_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccountIdentificationSEPA` | `createAccountIdentificationSEPA()` Create an instance of `AccountIdentificationSEPA`
    `ActiveOrHistoricCurrencyAndAmountSEPA` | `createActiveOrHistoricCurrencyAndAmountSEPA()` Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`
    `AmendmentInformationDetailsSDD` | `createAmendmentInformationDetailsSDD()` Create an instance of `AmendmentInformationDetailsSDD`
    `BranchAndFinancialInstitutionIdentificationSEPA1` | `createBranchAndFinancialInstitutionIdentificationSEPA1()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`
    `BranchAndFinancialInstitutionIdentificationSEPA2` | `createBranchAndFinancialInstitutionIdentificationSEPA2()` Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`
    `CashAccountSEPA1` | `createCashAccountSEPA1()` Create an instance of `CashAccountSEPA1`
    `CashAccountSEPA2` | `createCashAccountSEPA2()` Create an instance of `CashAccountSEPA2`
    `CategoryPurposeSEPA` | `createCategoryPurposeSEPA()` Create an instance of `CategoryPurposeSEPA`
    `CreditorReferenceInformationSEPA1` | `createCreditorReferenceInformationSEPA1()` Create an instance of `CreditorReferenceInformationSEPA1`
    `CreditorReferenceTypeCodeSEPA` | `createCreditorReferenceTypeCodeSEPA()` Create an instance of `CreditorReferenceTypeCodeSEPA`
    `CreditorReferenceTypeSEPA` | `createCreditorReferenceTypeSEPA()` Create an instance of `CreditorReferenceTypeSEPA`
    `CustomerDirectDebitInitiationV02` | `createCustomerDirectDebitInitiationV02()` Create an instance of `CustomerDirectDebitInitiationV02`
    `DateAndPlaceOfBirth` | `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
    `DirectDebitTransactionInformationSDD` | `createDirectDebitTransactionInformationSDD()` Create an instance of `DirectDebitTransactionInformationSDD`
    `DirectDebitTransactionSDD` | `createDirectDebitTransactionSDD()` Create an instance of `DirectDebitTransactionSDD`
    `Document` | `createDocument()` Create an instance of `Document`
    `javax.xml.bind.JAXBElement<Document>` | `createDocument(Document value)` Create an instance of `JAXBElement``<``Document``>`}
    `FinancialInstitutionIdentificationSEPA1` | `createFinancialInstitutionIdentificationSEPA1()` Create an instance of `FinancialInstitutionIdentificationSEPA1`
    `FinancialInstitutionIdentificationSEPA2` | `createFinancialInstitutionIdentificationSEPA2()` Create an instance of `FinancialInstitutionIdentificationSEPA2`
    `GenericOrganisationIdentification1` | `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
    `GenericPersonIdentification1` | `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
    `GroupHeaderSDD` | `createGroupHeaderSDD()` Create an instance of `GroupHeaderSDD`
    `LocalInstrumentSEPA` | `createLocalInstrumentSEPA()` Create an instance of `LocalInstrumentSEPA`
    `MandateRelatedInformationSDD` | `createMandateRelatedInformationSDD()` Create an instance of `MandateRelatedInformationSDD`
    `OrganisationIdentificationSchemeName1Choice` | `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
    `OrganisationIdentificationSEPAChoice` | `createOrganisationIdentificationSEPAChoice()` Create an instance of `OrganisationIdentificationSEPAChoice`
    `PartyIdentificationSEPA1` | `createPartyIdentificationSEPA1()` Create an instance of `PartyIdentificationSEPA1`
    `PartyIdentificationSEPA2` | `createPartyIdentificationSEPA2()` Create an instance of `PartyIdentificationSEPA2`
    `PartyIdentificationSEPA3` | `createPartyIdentificationSEPA3()` Create an instance of `PartyIdentificationSEPA3`
    `PartyIdentificationSEPA4` | `createPartyIdentificationSEPA4()` Create an instance of `PartyIdentificationSEPA4`
    `PartyIdentificationSEPA5` | `createPartyIdentificationSEPA5()` Create an instance of `PartyIdentificationSEPA5`
    `PartySEPA2` | `createPartySEPA2()` Create an instance of `PartySEPA2`
    `PartySEPAChoice` | `createPartySEPAChoice()` Create an instance of `PartySEPAChoice`
    `PaymentIdentificationSEPA` | `createPaymentIdentificationSEPA()` Create an instance of `PaymentIdentificationSEPA`
    `PaymentInstructionInformationSDD` | `createPaymentInstructionInformationSDD()` Create an instance of `PaymentInstructionInformationSDD`
    `PaymentTypeInformationSDD` | `createPaymentTypeInformationSDD()` Create an instance of `PaymentTypeInformationSDD`
    `PersonIdentificationSchemeName1Choice` | `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
    `PersonIdentificationSEPA1Choice` | `createPersonIdentificationSEPA1Choice()` Create an instance of `PersonIdentificationSEPA1Choice`
    `PersonIdentificationSEPA2` | `createPersonIdentificationSEPA2()` Create an instance of `PersonIdentificationSEPA2`
    `PostalAddressSEPA` | `createPostalAddressSEPA()` Create an instance of `PostalAddressSEPA`
    `PurposeSEPA` | `createPurposeSEPA()` Create an instance of `PurposeSEPA`
    `RemittanceInformationSEPA1Choice` | `createRemittanceInformationSEPA1Choice()` Create an instance of `RemittanceInformationSEPA1Choice`
    `RestrictedFinancialIdentificationSEPA` | `createRestrictedFinancialIdentificationSEPA()` Create an instance of `RestrictedFinancialIdentificationSEPA`
    `RestrictedPersonIdentificationSchemeNameSEPA` | `createRestrictedPersonIdentificationSchemeNameSEPA()` Create an instance of `RestrictedPersonIdentificationSchemeNameSEPA`
    `RestrictedPersonIdentificationSEPA` | `createRestrictedPersonIdentificationSEPA()` Create an instance of `RestrictedPersonIdentificationSEPA`
    `ServiceLevelSEPA` | `createServiceLevelSEPA()` Create an instance of `ServiceLevelSEPA`
    `StructuredRemittanceInformationSEPA1` | `createStructuredRemittanceInformationSEPA1()` Create an instance of `StructuredRemittanceInformationSEPA1`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _Document_QNAME

          private static final javax.xml.namespace.QName _Document_QNAME

  - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02

  - ### Method Detail

    - #### createDocument

          public Document createDocument()

      Create an instance of `Document`

    - #### createPaymentIdentificationSEPA

          public PaymentIdentificationSEPA createPaymentIdentificationSEPA()

      Create an instance of `PaymentIdentificationSEPA`

    - #### createPaymentTypeInformationSDD

          public PaymentTypeInformationSDD createPaymentTypeInformationSDD()

      Create an instance of `PaymentTypeInformationSDD`

    - #### createFinancialInstitutionIdentificationSEPA1

          public FinancialInstitutionIdentificationSEPA1 createFinancialInstitutionIdentificationSEPA1()

      Create an instance of `FinancialInstitutionIdentificationSEPA1`

    - #### createFinancialInstitutionIdentificationSEPA2

          public FinancialInstitutionIdentificationSEPA2 createFinancialInstitutionIdentificationSEPA2()

      Create an instance of `FinancialInstitutionIdentificationSEPA2`

    - #### createCustomerDirectDebitInitiationV02

          public CustomerDirectDebitInitiationV02 createCustomerDirectDebitInitiationV02()

      Create an instance of `CustomerDirectDebitInitiationV02`

    - #### createCreditorReferenceTypeCodeSEPA

          public CreditorReferenceTypeCodeSEPA createCreditorReferenceTypeCodeSEPA()

      Create an instance of `CreditorReferenceTypeCodeSEPA`

    - #### createPersonIdentificationSEPA2

          public PersonIdentificationSEPA2 createPersonIdentificationSEPA2()

      Create an instance of `PersonIdentificationSEPA2`

    - #### createPartyIdentificationSEPA5

          public PartyIdentificationSEPA5 createPartyIdentificationSEPA5()

      Create an instance of `PartyIdentificationSEPA5`

    - #### createPartyIdentificationSEPA4

          public PartyIdentificationSEPA4 createPartyIdentificationSEPA4()

      Create an instance of `PartyIdentificationSEPA4`

    - #### createPartyIdentificationSEPA3

          public PartyIdentificationSEPA3 createPartyIdentificationSEPA3()

      Create an instance of `PartyIdentificationSEPA3`

    - #### createGenericOrganisationIdentification1

          public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

      Create an instance of `GenericOrganisationIdentification1`

    - #### createPartyIdentificationSEPA2

          public PartyIdentificationSEPA2 createPartyIdentificationSEPA2()

      Create an instance of `PartyIdentificationSEPA2`

    - #### createPartyIdentificationSEPA1

          public PartyIdentificationSEPA1 createPartyIdentificationSEPA1()

      Create an instance of `PartyIdentificationSEPA1`

    - #### createPurposeSEPA

          public PurposeSEPA createPurposeSEPA()

      Create an instance of `PurposeSEPA`

    - #### createLocalInstrumentSEPA

          public LocalInstrumentSEPA createLocalInstrumentSEPA()

      Create an instance of `LocalInstrumentSEPA`

    - #### createRestrictedPersonIdentificationSchemeNameSEPA

          public RestrictedPersonIdentificationSchemeNameSEPA createRestrictedPersonIdentificationSchemeNameSEPA()

      Create an instance of `RestrictedPersonIdentificationSchemeNameSEPA`

    - #### createAmendmentInformationDetailsSDD

          public AmendmentInformationDetailsSDD createAmendmentInformationDetailsSDD()

      Create an instance of `AmendmentInformationDetailsSDD`

    - #### createAccountIdentificationSEPA

          public AccountIdentificationSEPA createAccountIdentificationSEPA()

      Create an instance of `AccountIdentificationSEPA`

    - #### createDirectDebitTransactionSDD

          public DirectDebitTransactionSDD createDirectDebitTransactionSDD()

      Create an instance of `DirectDebitTransactionSDD`

    - #### createPartySEPAChoice

          public PartySEPAChoice createPartySEPAChoice()

      Create an instance of `PartySEPAChoice`

    - #### createBranchAndFinancialInstitutionIdentificationSEPA2

          public BranchAndFinancialInstitutionIdentificationSEPA2 createBranchAndFinancialInstitutionIdentificationSEPA2()

      Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA2`

    - #### createBranchAndFinancialInstitutionIdentificationSEPA1

          public BranchAndFinancialInstitutionIdentificationSEPA1 createBranchAndFinancialInstitutionIdentificationSEPA1()

      Create an instance of `BranchAndFinancialInstitutionIdentificationSEPA1`

    - #### createPersonIdentificationSchemeName1Choice

          public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

      Create an instance of `PersonIdentificationSchemeName1Choice`

    - #### createRemittanceInformationSEPA1Choice

          public RemittanceInformationSEPA1Choice createRemittanceInformationSEPA1Choice()

      Create an instance of `RemittanceInformationSEPA1Choice`

    - #### createServiceLevelSEPA

          public ServiceLevelSEPA createServiceLevelSEPA()

      Create an instance of `ServiceLevelSEPA`

    - #### createPartySEPA2

          public PartySEPA2 createPartySEPA2()

      Create an instance of `PartySEPA2`

    - #### createCashAccountSEPA2

          public CashAccountSEPA2 createCashAccountSEPA2()

      Create an instance of `CashAccountSEPA2`

    - #### createPostalAddressSEPA

          public PostalAddressSEPA createPostalAddressSEPA()

      Create an instance of `PostalAddressSEPA`

    - #### createCashAccountSEPA1

          public CashAccountSEPA1 createCashAccountSEPA1()

      Create an instance of `CashAccountSEPA1`

    - #### createOrganisationIdentificationSchemeName1Choice

          public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

      Create an instance of `OrganisationIdentificationSchemeName1Choice`

    - #### createPaymentInstructionInformationSDD

          public PaymentInstructionInformationSDD createPaymentInstructionInformationSDD()

      Create an instance of `PaymentInstructionInformationSDD`

    - #### createPersonIdentificationSEPA1Choice

          public PersonIdentificationSEPA1Choice createPersonIdentificationSEPA1Choice()

      Create an instance of `PersonIdentificationSEPA1Choice`

    - #### createActiveOrHistoricCurrencyAndAmountSEPA

          public ActiveOrHistoricCurrencyAndAmountSEPA createActiveOrHistoricCurrencyAndAmountSEPA()

      Create an instance of `ActiveOrHistoricCurrencyAndAmountSEPA`

    - #### createDirectDebitTransactionInformationSDD

          public DirectDebitTransactionInformationSDD createDirectDebitTransactionInformationSDD()

      Create an instance of `DirectDebitTransactionInformationSDD`

    - #### createOrganisationIdentificationSEPAChoice

          public OrganisationIdentificationSEPAChoice createOrganisationIdentificationSEPAChoice()

      Create an instance of `OrganisationIdentificationSEPAChoice`

    - #### createMandateRelatedInformationSDD

          public MandateRelatedInformationSDD createMandateRelatedInformationSDD()

      Create an instance of `MandateRelatedInformationSDD`

    - #### createStructuredRemittanceInformationSEPA1

          public StructuredRemittanceInformationSEPA1 createStructuredRemittanceInformationSEPA1()

      Create an instance of `StructuredRemittanceInformationSEPA1`

    - #### createCreditorReferenceInformationSEPA1

          public CreditorReferenceInformationSEPA1 createCreditorReferenceInformationSEPA1()

      Create an instance of `CreditorReferenceInformationSEPA1`

    - #### createRestrictedPersonIdentificationSEPA

          public RestrictedPersonIdentificationSEPA createRestrictedPersonIdentificationSEPA()

      Create an instance of `RestrictedPersonIdentificationSEPA`

    - #### createRestrictedFinancialIdentificationSEPA

          public RestrictedFinancialIdentificationSEPA createRestrictedFinancialIdentificationSEPA()

      Create an instance of `RestrictedFinancialIdentificationSEPA`

    - #### createGenericPersonIdentification1

          public GenericPersonIdentification1 createGenericPersonIdentification1()

      Create an instance of `GenericPersonIdentification1`

    - #### createDateAndPlaceOfBirth

          public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

      Create an instance of `DateAndPlaceOfBirth`

    - #### createCategoryPurposeSEPA

          public CategoryPurposeSEPA createCategoryPurposeSEPA()

      Create an instance of `CategoryPurposeSEPA`

    - #### createGroupHeaderSDD

          public GroupHeaderSDD createGroupHeaderSDD()

      Create an instance of `GroupHeaderSDD`

    - #### createCreditorReferenceTypeSEPA

          public CreditorReferenceTypeSEPA createCreditorReferenceTypeSEPA()

      Create an instance of `CreditorReferenceTypeSEPA`

    - #### createDocument

          public javax.xml.bind.JAXBElement<Document> createDocument(Document value)

      Create an instance of `JAXBElement``<``Document``>`}